# $Revision: 1.61 $, $Date: 2002/10/04 23:35:27 $
#
# Conditional build:
#
# _with_non_root_auth	- build with non_root patch (authentication without
#			  root privilages and more configuration options).
#			  Possibly not secure.
#
Summary:	Provides support for IMAP network mail protocol
Summary(pl):	Wspomaganie dla protokou pocztowego IMAP
Summary(ru):	     IMAP
Summary(uk):	դ Ц    IMAP
Name:		imap
Version:	2001a
Release:	10
Epoch:		1
License:	BSD
Group:		Networking/Daemons
Source0:	ftp://ftp.cac.washington.edu/mail/%{name}-%{version}.tar.Z
Source1:	%{name}.pamd
Source2:	%{name}-%{name}d.inetd
Source3:	%{name}-pop2d.inetd
Source4:	%{name}-pop3d.inetd
Source5:	%{name}-%{name}s.inetd
Source6:	%{name}-pop3s.inetd
Source7:	%{name}-pop.pamd
Patch0:		%{name}.patch
Patch1:		%{name}-pop2d-mbox-param.patch
Patch2:		%{name}-sharedlib.patch
Patch3:		%{name}-sstupidity.patch
Patch4:		%{name}-mailpath.patch
Patch5:		%{name}-starttls.patch
Patch6:		%{name}-man.patch
Patch7:		%{name}-overflow.patch
Patch8:		%{name}-version-pld.patch
Patch9:		%{name}-no_1777_warning.patch
Patch10:	%{name}-non_root.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	pam-devel
BuildRequires:	openssl-devel
PreReq:		rc-inetd >= 0.8.1
Requires:	pam >= 0.66
Requires:	%{name}-common
Provides:	imapdaemon
Obsoletes:	imapdaemon
Conflicts:	courier-imap

%define		_includedir	%{_prefix}/include/imap

%description
IMAP is a server for the POP (Post Office Protocol) and IMAP mail
protocols. The POP protocol allows a "post office" machine to collect
mail for users and have that mail downloaded to the user's local
machine for reading. The IMAP protocol provides the functionality of
POP, and allows a user to read mail on a remote machine without moving
it to his local mailbox.

%description -l cs
Balek imap obsahuje server pro potovn protokoly POP (Post Office
Protocol) a IMAP (Internet Message Access Protocol). Protokol POP
umouje, aby uivatel mohl natat svoji dolou potu ze vzdlenho
potae. Protokol IMAP umouje uivateli ten poty na vzdlenm
stroji bez pesouvn na mstn pota.

%description -l pl
Imap jest serwerem dla POP (Post Office Protocol) i protokou IMAP.
Protok POP pozwala serwerowi poczty elektronicznej na przechowywanie
przesyek i nastpnie pobieranie ich przez maszyny klienckie w sieci.
Protok IMAP pozwala zdalnemu uytkownikowi na czytanie poczty na
zdalnej maszynie bez koniecznoci jej pobierania.

%description -l ru
IMAP      POP (Post Office Protocol) 
IMAP.  POP    (post office) 
  ,       
   .  IMAP  
 POP       
       .

%description -l uk
IMAP     ̦ POP (Post Office Protocol) 
IMAP.  POP Ѥ צ Φ (post office) 
  ަ, ˦ Ԧ     ϧ Φ
  .  IMAP  Ӧ Ԧ POP  Ѥ
    צΦ Φ    
  .

%package pop2
Summary:	Provides support for POP2 network mail protocol
Summary(pl):	Wspomaganie dla protokou pocztowego POP2
Summary(ru):	     POP2
Summary(uk):	դ Ц    POP2
Group:		Networking/Daemons
Prereq:		/etc/rc.d/init.d/rc-inetd
Requires:	%{name}-common
Requires:	rc-inetd >= 0.8.1
Provides:	pop2daemon
Obsoletes:	pop2daemon

%description pop2
IMAP is a server for the POP (Post Office Protocol) and IMAP mail
protocols. The POP protocol allows a "post office" machine to collect
mail for users and have that mail downloaded to the user's local
machine for reading. POP2 is an older POP protocol.

%description pop2 -l pl
Imap jest serwerem dla POP (Post Office Protocol) i protokou IMAP.
Protok POP pozwala serwerowi poczty elektronicznej na przechowywanie
przesyek i nastpnie pobieranie ich przez maszyny klienckie w sieci.
POP2 jest starsz wersj protokou POP.

%description pop2 -l ru
IMAP      POP (Post Office Protocol) 
IMAP.  POP    (post office) 
  ,       
   . POP2     POP.

%description pop2 -l uk
IMAP     ̦ POP (Post Office Protocol) 
IMAP.  POP Ѥ צ Φ (post office) 
  ަ, ˦ Ԧ     ϧ Φ
  . POP2   Ӧ  POP.

%package pop3
Summary:	Provides support for POP3 network mail protocol
Summary(pl):	Wspomaganie dla protokou pocztowego POP3
Summary(ru):	     POP3
Summary(uk):	դ Ц    POP3
Group:		Networking/Daemons
Prereq:		/etc/rc.d/init.d/rc-inetd
Requires:	%{name}-common
Requires:	rc-inetd >= 0.8.1
Provides:	pop3daemon
Obsoletes:	pop3daemon
Obsoletes:	qpopper
Obsoletes:	solid-pop3d
Conflicts:	courier-imap-pop3
Conflicts:	tpop3d

%description pop3
IMAP is a server for the POP (Post Office Protocol) and IMAP mail
protocols. The POP protocol allows a "post office" machine to collect
mail for users and have that mail downloaded to the user's local
machine for reading. POP3 is a newer POP protocol.

%description pop3 -l pl
Imap jest serwerem dla POP (Post Office Protocol) i protokou IMAP.
Protok POP pozwala serwerowi poczty elektronicznej na przechowywanie
przesyek i nastpnie pobieranie ich przez maszyny klienckie w sieci.
POP3 jest nowsz wersj protokou POP.

%description pop3 -l ru
IMAP      POP (Post Office Protocol) 
IMAP.  POP    (post office) 
  ,       
   . POP3     POP.

%description pop3 -l uk
IMAP     ̦ POP (Post Office Protocol) 
IMAP.  POP Ѥ צ Φ (post office) 
  ަ, ˦ Ԧ     ϧ Φ
  . POP3   Ӧ  POP.

%package devel
Summary:	Development files for IMAP
Summary(pl):	Pliki nagwkowe IMAP
Summary(ru):	       IMAP
Summary(uk):	      ¦̦˦ IMAP
Group:		Development/Libraries
Requires:	%{name}-lib = %{version}

%description devel
Development files for IMAP.

%description devel -l cs
Balek imap-devel obsahuje hlavikov soubory pro vvoj program,
kter pouvaj knihovnu IMAP (Internet Message Access Protocol).

%description devel -l pl
Pliki nagwkowe dla IMAP.

%description devel -l ru
       IMAP.

%description devel -l uk
      ¦̦˦ IMAP.

%package lib
Summary:	IMAP client library
Summary(pl):	Biblioteka IMAP
Summary(ru):	 IMAP
Summary(uk):	̦ IMAP
Group:		Development/Libraries

%description lib
IMAP client library.

%description lib -l pl
Biblioteka IMAP.

%description lib -l ru
   POP/IMAP-.

%description lib -l uk
̦ Ц   POP/IMAP-.

%package static
Summary:	IMAP static library
Summary(pl):	Statyczna biblioteka IMAP
Summary(ru):	  IMAP
Summary(uk):	 ¦̦ IMAP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
IMAP static library.

%description devel -l cs
Balek imap-static obsahuje statick knihovny pro vvoj program,
kter pouvaj knihovnu IMAP.

%description static -l pl
Statyczna biblioteka IMAP.

%description static -l ru
 ,    POP/IMAP-.

%description static -l uk
 ¦̦, Ȧ   POP/IMAP-.

%package common
Summary:	Common files for WU imap and pop daemons.
Summary(pl):	Pliki wsplne dla serwerw imap i pop.
Group:		Networking/Daemons

%description common
Common files for WU imap and pop daemons.

%description common -l pl
Pliki wsplne dla serwerw imap i pop.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%{?_with_non_root_auth:%patch10 -p1}

%build
%{__make} CC="%{__cc}" OPT="%{rpmcflags} -pipe -fPIC" LDOPT="%{rpmldflags}" SSLTYPE=unix VERSION="%{version}" lnp
mv -f c-client/c-client.a libc-client.a
%{__make} clean
%{__make} CC="%{__cc}" OPT="%{rpmcflags} -pipe -fPIC" LDOPT="%{rpmldflags}" SSLTYPE=unix VERSION="%{version}" lnps

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,security,sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,%{_includedir},%{_libdir}} \
	$RPM_BUILD_ROOT%{_var}/lib/imap

install ./src/ipopd/ipopd.8c $RPM_BUILD_ROOT%{_mandir}/man8/ipop2d.8
install ./src/ipopd/ipopd.8c $RPM_BUILD_ROOT%{_mandir}/man8/ipop3d.8
install ./src/imapd/imapd.8c $RPM_BUILD_ROOT%{_mandir}/man8/imapd.8

install ./c-client/*.h $RPM_BUILD_ROOT%{_includedir}
install ./c-client/linkage.c $RPM_BUILD_ROOT%{_includedir}
install libc-client.a $RPM_BUILD_ROOT%{_libdir}/libc-client.a
install ./c-client/libc-client.so $RPM_BUILD_ROOT%{_libdir}/libc-client.so.%{version}.0
ln -sf libc-client.so.%{version}.0 $RPM_BUILD_ROOT%{_libdir}/libc-client.so

rm -f 	$RPM_BUILD_ROOT%{_includedir}/unix.h \
	$RPM_BUILD_ROOT%{_includedir}/os_*

install ./ipopd/{ipop2d,ipop3d} $RPM_BUILD_ROOT%{_sbindir}
install ./imapd/imapd $RPM_BUILD_ROOT%{_sbindir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/imap
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/imapd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/ipop2d
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/ipop3d
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/imaps
install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/ipop3s
install %{SOURCE7} $RPM_BUILD_ROOT/etc/pam.d/pop

touch $RPM_BUILD_ROOT/etc/security/blacklist.{pop,imap}

cd docs/rfc
ls rfc* > ../INDEX.rfc
cd ../..
rm -rf docs/{rfc,BUILD}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%post pop2
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%post pop3
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%postun pop2
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%postun pop3
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%post   lib -p /sbin/ldconfig
%postun lib -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size, mtime, md5) /etc/sysconfig/rc-inetd/imapd
%attr(640,root,root) %config(noreplace) %verify(not size, mtime, md5) /etc/sysconfig/rc-inetd/imaps
%attr(640,root,root) %config(noreplace) %verify(not size, mtime, md5) /etc/pam.d/imap
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/security/blacklist.imap
%attr(755,root,root) %{_sbindir}/imapd
%dir %attr(750,imap,mail) %{_var}/lib/imap
%{_mandir}/man8/imapd.8*

%files pop2
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size, mtime, md5) /etc/sysconfig/rc-inetd/ipop2d
%attr(755,root,root) %{_sbindir}/ipop2d
%{_mandir}/man8/ipop2d.8*

%files pop3
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size, mtime, md5) /etc/sysconfig/rc-inetd/ipop3d
%attr(640,root,root) %config(noreplace) %verify(not size, mtime, md5) /etc/sysconfig/rc-inetd/ipop3s
%attr(755,root,root) %{_sbindir}/ipop3d
%{_mandir}/man8/ipop3d.8*

%files common
%defattr(644,root,root,755)
%doc README docs/*
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size, mtime, md5) /etc/pam.d/pop
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/security/blacklist.pop

%files lib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libc-client.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}
%{_libdir}/libc-client.so

%files static
%defattr(644,root,root,755)
%{_libdir}/libc-client.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: imap.spec,v $
Revision 1.61  2002/10/04 23:35:27  qboosh
- keep patch always in file lists, only apply conditionally

Revision 1.60  2002/10/04 15:57:51  mkochano
- Added conditional build with non_root patch.

Revision 1.59  2002/06/13 22:54:33  undefine
- patch imap-no_1777_warning.patch which remove stupid message when
  /var/mail isn't 1777
- release 10, stbr

Revision 1.58  2002/06/11 20:53:37  kloczek
- bump release to 9.

Revision 1.57  2002/06/10 18:03:35  blues
- release 1
it works and has no security holes...

Revision 1.56  2002/06/09 18:42:37  qboosh
- updated beta snap to release version 2001a
- merged overflow patch from RedHat (SECURITY fix)
- new version-pld patch (required by license - modified versions must be marked)
- fixed sstupidity patch (caused SEGV if service name wasn't in /etc/services)
- STBR-test

Revision 1.55  2002/06/09 16:16:25  qboosh
- base Conflicts: courier-imap (different spool formats)
- -pop3 Conflicts: courier-imap-pop3 and tpop3d (the same)

Revision 1.54  2002/05/25 21:41:13  qboosh
- new %%doc

Revision 1.53  2002/05/23 23:50:59  undefine
- release 10 to rebuild with proper imap-{imap,pop3}s.inetd

Revision 1.52  2002/04/25 16:36:16  arturs
fixed a small typo

Revision 1.51  2002/03/13 22:30:44  ankry
- added INDEX.rfc file to documentation

Revision 1.50  2002/02/27 09:50:30  ankry
- fixed paths in man pages
- added (adapted) some translations from KSI/RH
- release *.8

Revision 1.49  2002/02/23 02:59:06  kloczek
- adapterized.

Revision 1.48  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.47  2002/02/02 20:19:16  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.46  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.45  2002/01/08 12:57:23  zagrodzki
- fixed  "* STARTTLS" (don't append /usr/sbin to certificate file path)
- rel .7

Revision 1.44  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.43  2001/10/03 14:25:51  misiek
- release 5 (/var/spool/mail -> /var/mail)

Revision 1.42  2001/08/17 14:29:26  baggins
- fixed epoch (1) and release (.4)

Revision 1.41  2001/08/17 13:22:22  baggins
- release 2
- fixed pop2-mbox-param patch
- fixed stupid assumptions about ssl (broke pop2)

Revision 1.40  2001/07/28 21:37:29  blues
- typo: %s/sever"/server"/

Revision 1.39  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.37  2001/07/15 04:57:44  kloczek
- release 2: added to devel also %%{_includedir} directory.

Revision 1.36  2001/07/11 10:11:02  wiget
- y2k bug in Release fixed.
- added sahredlib.patch (based on Debian patch)
- added lib and static subpackages
- changed name of c-client library from libimap to libc-client (like in
  Debian)

Revision 1.35  2001/07/06 15:42:43  wiget
- updated to new snapshot (0107022325)
- drop BETA from version and add this to revision
- Epoch 1 to allow upgrade from previus (2001.BETA) versions
- get headers files from correct place

Revision 1.34  2001/06/26 18:01:31  qboosh
- updated to 2001.BETA.SNAP-0106252013, updated patches
- enabled SSL, added ipop3s, imaps to rc-inetd
- changed pop-2,pop-3 to RFC1700 names pop2,pop3 in *.inetd
- added missing pop.pamd and default empty blacklists

Revision 1.33  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.32  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.31  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.30  2000/11/16 15:07:14  zagrodzki
- release 7
- fixed pop3.inetd

Revision 1.29  2000/09/12 16:07:15  kloczek
- release 6,
- spec adapterized,
- make spec %%debug ready.

Revision 1.28  2000/09/04 23:54:34  kloczek
- next typo in %install.

Revision 1.27  2000/09/04 23:20:20  kloczek
- fixed typo in %install.

Revision 1.26  2000/09/01 20:08:50  kloczek
- added using more macros in %install.

Revision 1.25  2000/09/01 19:11:14  baggins
- release 5
- added mbox-name parameter to ipop2

Revision 1.24  2000/08/29 15:27:20  baggins
- release 4
- divided pop package into pop2 and pop3
- config(noreplace) for inetd configs

Revision 1.23  2000/07/15 13:18:29  kloczek
- release 3,
- spec adapterized (missing %defattr()).

Revision 1.22  2000/06/21 18:12:31  kloczek
- release 2,
- added solid-pop3d to Obsoletes in pop subpackage.

Revision 1.21  2000/06/09 07:23:01  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/06/06 07:31:55  wiget
4.7c2

Revision 1.19  2000/05/21 15:02:33  kloczek
- spec adapterized.

Revision 1.18  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:54:32  baggins
- translated kloczkish into english

Revision 1.16  2000/03/17 17:01:03  wiget
4.7b, commented static subpackage, removed unused headers files

Revision 1.15  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.14  2000/01/08 14:04:19  kloczek
- added missing %defattr() in subpackages,
- added using reload rc-inetd (Require: rc-inetd >= 0.8.1).

Revision 1.13  1999/12/04 13:03:31  alchemyx
- changed descriptions and Group: fields

Revision 1.12  1999/12/04 12:46:56  alchemyx
- divided into subpackages

Revision 1.11  1999/12/01 17:59:20  wiget
- version changed to 4.7

Revision 1.10  1999/11/29 11:22:47  waszi
- added Provides and Obsoletes

Revision 1.9  1999/10/20 06:34:19  waszi
- small fixes

Revision 1.8  1999/10/20 06:33:45  waszi
- added rc-inetd support

Revision 1.7  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Feb 10 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [4.5-2d]
- updated to stable release,
- added Group(pl),
- fixed group of ELF binaries.

* Thu Nov 12 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [4.5-1d]
- build for Linux PLD,
- major changes,
- build against GNU libc-2.1,
- start at RH spec file.
